Bug Hunting Session
Bug 108435 - Animation Put on the brakes - text disappear
Summary: Animation Put on the brakes - text disappear
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-10 06:51 UTC by raal
Modified: 2018-07-28 09:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (16.43 KB, application/vnd.oasis.opendocument.presentation)
2017-06-10 06:52 UTC, raal
Details
result (6.68 KB, image/png)
2017-06-10 06:53 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2017-06-10 06:51:19 UTC
Description:
1 -  open attached file
2 - run the slideshow
3 - second slide, text "brake" is set with custom animation Put on the brakes

actual result:
afte the animation text disapper

expected result:
text "bra" should be visible

Actual Results:  
afte the animation text disapper

Expected Results:
text "bra" should be visible


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:53.0) Gecko/20100101 Firefox/53.0
Comment 1 raal 2017-06-10 06:52:07 UTC
Created attachment 133939 [details]
test file
Comment 2 raal 2017-06-10 06:53:11 UTC
Created attachment 133940 [details]
result

as you can see at the printscreen text "bra" is missing
Comment 3 Shinji Enoki 2017-06-10 08:44:36 UTC
I was reproduced in the following environment.

OS: Debian jessie 64bit
Version: 5.5.0.0.alpha0+
Build ID: 59c9d0653cc42560af48269bb8dee2c2b0b20f68
CPU threads: 4; OS: Linux 3.16; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-06_23:50:05
Local: ja-JP (ja_JP.utf8); Calc: group

OS: Debian jessie 64bit
Version:  5.3.3.2
Build ID: 3d9a8b4b4e538a85e0782bd6c2d430bafe583448
CPU Threads: 4; OS Version: Linux 3.16; UI Render: default; VCL: gtk2; Layout Engine: new; 
Local:  ja-JP (ja_JP.utf8); Calc: group


Custom Animation: 
"Put on the Brakes" -> disappear after animation
"Pinwheel"   -> not disappear after animation
"Falling In" -> not disappear after animation
Comment 4 QA Administrators 2018-06-11 02:34:52 UTC Comment hidden (obsolete)
Comment 5 Mark Hung 2018-07-28 09:08:14 UTC
Fixed with following commit.

commit 9605b998438a62501f58c6e028f79b679629b333 (origin/master, origin/HEAD, pptxe-anim)
Author: Mark Hung <marklh9@gmail.com>
Date:   Thu Jul 26 20:19:34 2018 +0800